Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment
Class ServiceDeployer

    java.lang.Object
      org.apache.axis2.deployment.AbstractDeployer
          org.apache.axis2.deployment.ServiceDeployer

All Implemented Interfaces:
  Deployer

    public class ServiceDeployer

extends AbstractDeployer

Field Summary

Fields inherited from class org.apache.axis2.deployment.AbstractDeployer
`deploymentFileDataMap`

Constructor Summary
`ServiceDeployer()`

Method Summary
`void` | `deploy(DeploymentFileData deploymentFileData)` Process a file and add it to the configuration
`void` | `init(ConfigurationContext configCtx)` Initialize the Deployer
`void` | `setDirectory(java.lang.String directory)` Set the directory
`void` | `setExtension(java.lang.String extension)` Set the extension to look for TODO: Support multiple extensions?
`void` | `undeploy(java.lang.String fileName)` Remove a given file from the configuration

Methods inherited from class org.apache.axis2.deployment.AbstractDeployer
`cleanup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDeployer

    public ServiceDeployer()

Method Detail

### init

    public void init(ConfigurationContext configCtx)

  Description copied from interface: `Deployer`
  Initialize the Deployer

  Parameters:
    `configCtx` - our ConfigurationContext

### deploy

    public void deploy(DeploymentFileData deploymentFileData)
                throws DeploymentException

  Description copied from interface: `Deployer`
  Process a file and add it to the configuration

  Specified by:
    `deploy` in interface `Deployer`
  Overrides:
    `deploy` in class `AbstractDeployer`
  Parameters:
    `deploymentFileData` - the DeploymentFileData object to deploy
  Throws:
    `DeploymentException` - if there is a problem

### setDirectory

    public void setDirectory(java.lang.String directory)

  Description copied from interface: `Deployer`
  Set the directory

  Parameters:
    `directory` - directory name

### setExtension

    public void setExtension(java.lang.String extension)

  Description copied from interface: `Deployer`
  Set the extension to look for TODO: Support multiple extensions?

  Parameters:
    `extension` - the file extension associated with this Deployer

### undeploy

    public void undeploy(java.lang.String fileName)
                  throws DeploymentException

  Description copied from interface: `Deployer`
  Remove a given file from the configuration

  Specified by:
    `undeploy` in interface `Deployer`
  Overrides:
    `undeploy` in class `AbstractDeployer`
  Parameters:
    `fileName` - name of item to remove
  Throws:
    `DeploymentException` - if there is a problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.